require 'spec_helper'

describe Dumptruck::Load do
  describe '.new' do
    let(:dump) { Dumptruck::Load.new() }
      it "has a database" do
        dump.database = "test"
        expect(dump.database).to eq("test")
      end

      it "can add tables to ignore" do
        dump.database = 'test'
        dump.add_ignored_table("fake_table")
        expect(dump.ignored_tables).to eq("--ignore-table=test.fake_table")
      end

      it "adds option to array" do
        expect(dump.options).to eq("--single-transaction --opt --skip-comments")

        dump.add_option("--lock-tables")
        expect(dump.options).to eq("--single-transaction --opt --skip-comments --lock-tables")
      end

      it "sets the --all-databases option if no db given" do
        expect(dump.database).to eq("--all-databases")
      end
  end
end
